# Get payout quotes with payout fees for different payout methods (given payout provider and payout currency) and FX rates if base and payout currencies are different Returns a list of quotes for the given payout methods and base/payout currency pair Endpoint: GET /v1/quotes Version: 1.0.0 Security: oauth2 ## Query parameters: - `partner_name` (string) The name of the payout partner Example: "tranglo" - `quote_type` (any, required) The quote type sender_quote vs receiver_quote Enum: "SENDER_QUOTE", "RECEIVER_QUOTE" - `base_currency` (string, required) The three-letter base currency code (ISO 4217) Example: "EUR" - `payout_currency` (string, required) The three-letter payout currency code (ISO 4217) Example: "AUD" - `payout_country` (string) The payout country two-letter ISO 3166-1 Alpha-2 code Example: "AT" - `payout_category` (string) The payout category Example: "BANK | EWALLET | CASH_PICKUP | ATM" - `use_case` (string) The payout use case Example: "TREASURY | P2P | B2B | B2C" - `payout_method_id` (string) The id of the payout method - `quote_amount` (number, required) The quote amount - `bic` (string) Code allocated to a receiving institution by the ISO 9362 Registration Authority as described in ISO 9362 'Banking - Banking telecommunication messages - Business identifier code (BIC)' Example: "BOFAUS3N" - `sender_end_to_end_id` (string) sender end to end id ## Response 200 fields (application/json): - `quotes_dttm` (string, required) The date time when the quotes are generated - `quote_elements` (array) A list of quote elements - `quote_elements.payout_partner_name` (string) The name of payout partner Example: "tranglo" - `quote_elements.payout_partner_id` (string) The unique payout partner id stored in payout service Example: "65606de6-d86e-468e-8e69-55184fddf40c" - `quote_elements.payout_category` (string) The payout category example a BANK, E-WALLET Example: "BANK" - `quote_elements.payout_method_name` (string) The payout method name Example: "SEPA, SPEI" - `quote_elements.payout_method_id` (string) The unique payout method id stored in payout service Example: "d834fb0f-2faf-ee11-992f-660596240263" - `quote_elements.base_amount` (number) The total amount calculated based on the payout amount with all the added fees Example: 102 - `quote_elements.payout_amount` (number) The amount that needs to be disbursed to the beneficiary Example: 100 - `quote_elements.payout_currency_fee` (number) The fee represented in payout currency Example: 2 - `quote_elements.base_currency_fee` (number) The fee represented in liquidation or base currency Example: 2 - `quote_elements.base_currency` (string) The base or liquidation currency Example: "USD" - `quote_elements.payout_currency` (string) The payout currency Example: "EUR" - `quote_elements.forex` (object) A simple forex element that contains the rate and expiry - `quote_elements.forex.rate` (string, required) The FX currency rate Example: "1.47289" - `quote_elements.forex.expiry` (string) The FX rate expiry date ## Response 400 fields (application/problem+json): - `status` (integer, required) - `errors` (array, required) - `errors.category` (string, required) Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE" - `errors.title` (string, required) - `errors.code` (string, required) - `errors.detail` (string, required) - `timestamp` (string) ## Response 401 fields (application/problem+json): - `status` (integer, required) - `errors` (array, required) - `errors.category` (string, required) Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE" - `errors.title` (string, required) - `errors.code` (string, required) - `errors.detail` (string, required) - `timestamp` (string) ## Response 403 fields (application/problem+json): - `status` (integer, required) - `errors` (array, required) - `errors.category` (string, required) Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE" - `errors.title` (string, required) - `errors.code` (string, required) - `errors.detail` (string, required) - `timestamp` (string) ## Response 500 fields (application/json): - `status` (integer, required) - `errors` (array, required) - `errors.category` (string, required) Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE" - `errors.title` (string, required) - `errors.code` (string, required) - `errors.detail` (string, required) - `timestamp` (string)